Subject: Re: bug#60796: 27.1; Opening file ending in .sh inside a directory ending in .deb causes hang/100% thread usage

From: Stephen Berman <[email-masked]>
Date: Sun, 15 Jan 2023 17:34:57 +0100

On Sun, 15 Jan 2023 17:21:26 +0100 Michael Albinus <[email-masked]> wrote:

> Stephen Berman <[email-masked]> writes:
>
> Hi Stephen,
>
>>> What I've hoped is that you could stop Emacs by hitting C-g, and show a
>>> Lisp backtrace.
>>
>> No, Emacs is totally locked up and repeatedly hitting C-g or ESC doesn't
>> help.
>
> Strange. As said, I don't see it in my Emacs 27 build of the git tree.
>
> Given, that you (and I) haven't seen the problem in newer Emacs/Tramp
> versions, I don't know what to test else. Perhaps we shall assume that
> it is fixed meanwhile (although I hate it not to know the reason)?

It's good that it's apparently not an issue for current Emacs, yet it
does seem odd that in Emacs 27 some see the problem and others don't,
and even if it has been fixed (or just disappeared), it would be
interesting to track down the problem.  If anyone has any other ideas
how to go about that, I'm willing to try them.  (But please not
bisecting between Emacs 27 and 28, I don't have time for that.)

Steve Berman